//
//  © 2019-2020 Qualcomm Technologies, Inc. and/or its subsidiaries. All rights reserved.
//

#import "IoTFriendlyNameMapper.h"

@implementation IoTFriendlyNameMapper

+ (NSString *)localizedUIRepresentationForName:(NSString *)dutName
{
    if ([dutName isEqualToString:@"bedroom"]) {
        return NSLocalizedString(@"Bedroom", comment: "Hardcoded name for VUI target");
    } else if ([dutName isEqualToString:@"kitchen"]) {
        return NSLocalizedString(@"Kitchen", comment: "Hardcoded name for VUI target");
    } else if ([dutName isEqualToString:@"living_room"]) {
        return NSLocalizedString(@"Living Room", comment: "Hardcoded name for VUI target");
    } else if ([dutName isEqualToString:@"group_one"]) {
        return NSLocalizedString(@"Group One", comment: "Hardcoded name for VUI target");
    } else if ([dutName isEqualToString:@"group_two"]) {
        return NSLocalizedString(@"Group Two", comment: "Hardcoded name for VUI target");
    } else if ([dutName isEqualToString:@"group_three"]) {
        return NSLocalizedString(@"Group Three", comment: "Hardcoded name for VUI target");
    }
    return dutName;
}

+ (NSString *)dutRepresentationForLocalizedName:(NSString *)uiName
{
    if ([uiName isEqualToString:NSLocalizedString(@"Bedroom", comment: "Hardcoded name for VUI target")]) {
        return @"bedroom";
    } else if ([uiName isEqualToString:NSLocalizedString(@"Kitchen", comment: "Hardcoded name for VUI target")]) {
        return @"kitchen";
    } else if ([uiName isEqualToString:NSLocalizedString(@"Living Room", comment: "Hardcoded name for VUI target")]) {
        return @"living_room";
    } else if ([uiName isEqualToString:NSLocalizedString(@"Group One", comment: "Hardcoded name for VUI target")]) {
        return @"group_one";
    } else if ([uiName isEqualToString:NSLocalizedString(@"Group Two", comment: "Hardcoded name for VUI target")]) {
        return @"group_two";
    } else if ([uiName isEqualToString:NSLocalizedString(@"Group Three", comment: "Hardcoded name for VUI target")]) {
        return @"group_three";
    }
    return uiName;
}

@end
